#include <iostream>
using namespace std;

int FATTORIALE(int n);

int main(void) {
	int num;
	int i;
	int fatt;
	
	cout << "Numero: ";
	cin >> num;
	
	cout << num << "! = "<< FATTORIALE(num) << endl;
	
	return 0;
}

int FATTORIALE(int num) {
	if (num == 0) {
		return 1;
	}
	
	return num * FATTORIALE(num - 1);
}